﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2016.4/TaskFactory_2016.4.4.1101.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '0C92AAF05BCBFC72EEC8CA034D78857674B2FB64FB386B2B584ED521D6F4C3E0'
  checksumType = 'sha256'
  checksum64 = 'MEM5MkFBRjA1QkNCRkM3MkVFQzhDQTAzNEQ3ODg1NzY3NEIyRkI2NEZCMzg2QjJCNTg0RUQ1MjFENkY0QzNFMA=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
